package cn.com.poc.agent_application.model;

import java.io.Serializable;

import cn.com.yict.framemax.data.model.BaseModelClass;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;

import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Version;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;

/**
 * Model class for biz_agent_application_plugin
 * 插件信息
 */
@Entity
@Table(name = "biz_agent_application_plugin")
@DynamicInsert
@DynamicUpdate
public class BizAgentApplicationPluginModel extends BaseModelClass implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * id
     */
    private java.lang.Long id;

    @Column(name = "id", length = 19)
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    public java.lang.Long getId() {
        return this.id;
    }

    public void setId(java.lang.Long id) {
        this.id = id;
        super.addValidField("id");
    }

    private Double points;

    @Column(name = "points", length = 10)
    public Double getPoints() {
        return points;
    }

    public void setPoints(Double points) {
        this.points = points;
        super.addValidField("points");
    }

    /**
     * classification
     * 插件类型
     */
    private java.lang.String classification;

    @Column(name = "classification", length = 100)
    public java.lang.String getClassification() {
        return this.classification;
    }

    public void setClassification(java.lang.String classification) {
        this.classification = classification;
        super.addValidField("classification");
    }


    /**
     * displayFormat
     * 显示格式
     */
    private java.lang.String displayFormat;

    @Column(name = "display_format", length = 10)
    public String getDisplayFormat() {
        return displayFormat;
    }

    public void setDisplayFormat(String displayFormat) {
        this.displayFormat = displayFormat;
        super.addValidField("displayFormat");
    }

    /**
     * icon
     */
    private java.lang.String icon;

    @Column(name = "icon", length = 120)
    public java.lang.String getIcon() {
        return this.icon;
    }

    public void setIcon(java.lang.String icon) {
        this.icon = icon;
        super.addValidField("icon");
    }


    /**
     * parent_zh_cn_name
     * 分类名（简体）
     */
    private java.lang.String parentZhCnName;

    @Column(name = "parent_zh_cn_name", length = 100)
    public java.lang.String getParentZhCnName() {
        return this.parentZhCnName;
    }

    public void setParentZhCnName(java.lang.String parentZhCnName) {
        this.parentZhCnName = parentZhCnName;
        super.addValidField("parentZhCnName");
    }


    /**
     * parent_zh_tw_name
     * 分类名（繁体）
     */
    private java.lang.String parentZhTwName;

    @Column(name = "parent_zh_tw_name", length = 100)
    public java.lang.String getParentZhTwName() {
        return this.parentZhTwName;
    }

    public void setParentZhTwName(java.lang.String parentZhTwName) {
        this.parentZhTwName = parentZhTwName;
        super.addValidField("parentZhTwName");
    }


    /**
     * parent_en_name
     * 分类名（英文）
     */
    private java.lang.String parentEnName;

    @Column(name = "parent_en_name", length = 100)
    public java.lang.String getParentEnName() {
        return this.parentEnName;
    }

    public void setParentEnName(java.lang.String parentEnName) {
        this.parentEnName = parentEnName;
        super.addValidField("parentEnName");
    }


    /**
     * plugin_id
     * 插件主键
     */
    private java.lang.String pluginId;

    @Column(name = "plugin_id", length = 100)
    public java.lang.String getPluginId() {
        return this.pluginId;
    }

    public void setPluginId(java.lang.String pluginId) {
        this.pluginId = pluginId;
        super.addValidField("pluginId");
    }


    /**
     * zh_cn_title
     * 插件标题（简体）
     */
    private java.lang.String zhCnTitle;

    @Column(name = "zh_cn_title", length = 100)
    public java.lang.String getZhCnTitle() {
        return this.zhCnTitle;
    }

    public void setZhCnTitle(java.lang.String zhCnTitle) {
        this.zhCnTitle = zhCnTitle;
        super.addValidField("zhCnTitle");
    }


    /**
     * zh_tw_title
     * 繁体
     */
    private java.lang.String zhTwTitle;

    @Column(name = "zh_tw_title", length = 100)
    public java.lang.String getZhTwTitle() {
        return this.zhTwTitle;
    }

    public void setZhTwTitle(java.lang.String zhTwTitle) {
        this.zhTwTitle = zhTwTitle;
        super.addValidField("zhTwTitle");
    }


    /**
     * en_title
     * 英文
     */
    private java.lang.String enTitle;

    @Column(name = "en_title", length = 100)
    public java.lang.String getEnTitle() {
        return this.enTitle;
    }

    public void setEnTitle(java.lang.String enTitle) {
        this.enTitle = enTitle;
        super.addValidField("enTitle");
    }


    /**
     * zh_cn_desc
     * 插件描述(简体）
     */
    private java.lang.String zhCnDesc;

    @Column(name = "zh_cn_desc", length = 2147483647)
    public java.lang.String getZhCnDesc() {
        return this.zhCnDesc;
    }

    public void setZhCnDesc(java.lang.String zhCnDesc) {
        this.zhCnDesc = zhCnDesc;
        super.addValidField("zhCnDesc");
    }


    /**
     * zh_tw_desc
     * 插件描述（繁体）
     */
    private java.lang.String zhTwDesc;

    @Column(name = "zh_tw_desc", length = 2147483647)
    public java.lang.String getZhTwDesc() {
        return this.zhTwDesc;
    }

    public void setZhTwDesc(java.lang.String zhTwDesc) {
        this.zhTwDesc = zhTwDesc;
        super.addValidField("zhTwDesc");
    }


    /**
     * en_desc
     * 插件描述（英文）
     */
    private java.lang.String enDesc;

    @Column(name = "en_desc", length = 2147483647)
    public java.lang.String getEnDesc() {
        return this.enDesc;
    }

    public void setEnDesc(java.lang.String enDesc) {
        this.enDesc = enDesc;
        super.addValidField("enDesc");
    }


    /**
     * is_deleted
     * 是否删除 1、Y 是 2、N 否
     */
    private java.lang.String isDeleted;

    @Column(name = "is_deleted", length = 1)
    public java.lang.String getIsDeleted() {
        return this.isDeleted;
    }

    public void setIsDeleted(java.lang.String isDeleted) {
        this.isDeleted = isDeleted;
        super.addValidField("isDeleted");
    }


    /**
     * CREATOR
     * 创建人
     */
    private java.lang.String creator;

    @Column(name = "CREATOR", length = 225)
    public java.lang.String getCreator() {
        return this.creator;
    }

    public void setCreator(java.lang.String creator) {
        this.creator = creator;
        super.addValidField("creator");
    }


    /**
     * CREATED_TIME
     * 创建时间
     */
    private java.util.Date createdTime;

    @Column(name = "CREATED_TIME", length = 19)
    public java.util.Date getCreatedTime() {
        return this.createdTime;
    }

    public void setCreatedTime(java.util.Date createdTime) {
        this.createdTime = createdTime;
        super.addValidField("createdTime");
    }


    /**
     * MODIFIER
     * 修改人
     */
    private java.lang.String modifier;

    @Column(name = "MODIFIER", length = 225)
    public java.lang.String getModifier() {
        return this.modifier;
    }

    public void setModifier(java.lang.String modifier) {
        this.modifier = modifier;
        super.addValidField("modifier");
    }


    /**
     * MODIFIED_TIME
     * 修改时间
     */
    private java.util.Date modifiedTime;

    @Column(name = "MODIFIED_TIME", length = 19)
    public java.util.Date getModifiedTime() {
        return this.modifiedTime;
    }

    public void setModifiedTime(java.util.Date modifiedTime) {
        this.modifiedTime = modifiedTime;
        super.addValidField("modifiedTime");
    }


    /**
     * SYS_VERSION
     * 乐观锁,版本号
     */
    private java.lang.Integer sysVersion;

    @Column(name = "SYS_VERSION", length = 10)
    @Version
    public java.lang.Integer getSysVersion() {
        return this.sysVersion;
    }

    public void setSysVersion(java.lang.Integer sysVersion) {
        this.sysVersion = sysVersion;
        super.addValidField("sysVersion");
    }


}