package cn.com.poc.common.rest.impl;

import cn.com.poc.common.model.BizFileUploadRecordModel;
import cn.com.poc.common.rest.BosRest;
import cn.com.poc.common.service.BizFileUploadRecordService;
import cn.com.poc.common.service.BosConfigService;
import cn.com.poc.common.utils.Assert;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.io.IOException;

@Component
public class BosRestImpl implements BosRest {

    @Resource
    private BosConfigService bosConfigService;

    @Resource
    private BizFileUploadRecordService bizFileUploadRecordService;

    @Override
    public String upload(MultipartFile file) throws IOException {
        Assert.notNull(file);
        String contentType = file.getContentType();
        String originalFilename = file.getOriginalFilename();
        String prefix = originalFilename.substring(originalFilename.lastIndexOf(".")).replaceAll("\\.", "");

        String upload = bosConfigService.upload(file.getInputStream(), prefix, contentType);

        BizFileUploadRecordModel bizFileUploadRecordModel = new BizFileUploadRecordModel();
        bizFileUploadRecordModel.setFileName(file.getOriginalFilename());
        bizFileUploadRecordModel.setFileUrl(upload);
        bizFileUploadRecordModel.setCoverSheetUrl("");
        bizFileUploadRecordService.save(bizFileUploadRecordModel);
        return upload;
    }
}
