package cn.com.poc.knowledge.model;	

import java.io.Serializable;
import cn.com.yict.framemax.data.model.BaseModelClass;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Version;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;

/**
 * Model class for biz_knowledge_database
 * 知识库-关系型数据库配置
 */
@Entity
@Table(name = "biz_knowledge_database")
@DynamicInsert
@DynamicUpdate
public class BizKnowledgeDatabaseModel extends BaseModelClass implements Serializable {

    private static final long serialVersionUID = 1L;
    
  
    /** id
    *主键
    */ 
    private java.lang.Long id;
    
    @Column(name = "id",length = 19)
	@Id @GeneratedValue(strategy = GenerationType.AUTO) 
    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
        super.addValidField("id");
    }
    
  
    /** member_id
    *用户ID
    */ 
    private java.lang.Integer memberId;
    
    @Column(name = "member_id",length = 10)
    public java.lang.Integer getMemberId(){
        return this.memberId;
    }
    
    public void setMemberId(java.lang.Integer memberId){
        this.memberId = memberId;
        super.addValidField("memberId");
    }
    
  
    /** title
    *数据库标题名
    */ 
    private java.lang.String title;
    
    @Column(name = "title",length = 50)
    public java.lang.String getTitle(){
        return this.title;
    }
    
    public void setTitle(java.lang.String title){
        this.title = title;
        super.addValidField("title");
    }
    
  
    /** dbDesc
    *描述
    */ 
    private java.lang.String dbDesc;
    
    @Column(name = "db_desc",length = 2147483647)
    public java.lang.String getDbDesc(){
        return this.dbDesc;
    }
    
    public void setDbDesc(java.lang.String dbDesc){
        this.dbDesc = dbDesc;
        super.addValidField("dbDesc");
    }
    
  
    /** db_type
    *数据库类型  -MYSQL
    */ 
    private java.lang.String dbType;
    
    @Column(name = "db_type",length = 15)
    public java.lang.String getDbType(){
        return this.dbType;
    }
    
    public void setDbType(java.lang.String dbType){
        this.dbType = dbType;
        super.addValidField("dbType");
    }
    
  
    /** db_host
    *数据库HOST
    */ 
    private java.lang.String dbHost;
    
    @Column(name = "db_host",length = 150)
    public java.lang.String getDbHost(){
        return this.dbHost;
    }
    
    public void setDbHost(java.lang.String dbHost){
        this.dbHost = dbHost;
        super.addValidField("dbHost");
    }
    
  
    /** db_port
    *数据库端口
    */ 
    private java.lang.Integer dbPort;
    
    @Column(name = "db_port",length = 10)
    public java.lang.Integer getDbPort(){
        return this.dbPort;
    }
    
    public void setDbPort(java.lang.Integer dbPort){
        this.dbPort = dbPort;
        super.addValidField("dbPort");
    }
    
  
    /** db_name
    *数据库名
    */ 
    private java.lang.String dbName;
    
    @Column(name = "db_name",length = 100)
    public java.lang.String getDbName(){
        return this.dbName;
    }
    
    public void setDbName(java.lang.String dbName){
        this.dbName = dbName;
        super.addValidField("dbName");
    }
    
  
    /** db_username
    *用户名
    */ 
    private java.lang.String dbUsername;
    
    @Column(name = "db_username",length = 100)
    public java.lang.String getDbUsername(){
        return this.dbUsername;
    }
    
    public void setDbUsername(java.lang.String dbUsername){
        this.dbUsername = dbUsername;
        super.addValidField("dbUsername");
    }
    
  
    /** db_password
    *密码
    */ 
    private java.lang.String dbPassword;
    
    @Column(name = "db_password",length = 150)
    public java.lang.String getDbPassword(){
        return this.dbPassword;
    }
    
    public void setDbPassword(java.lang.String dbPassword){
        this.dbPassword = dbPassword;
        super.addValidField("dbPassword");
    }
    
  
    /** is_deleted
    *是否删除 Y-是 N-否
    */ 
    private java.lang.String isDeleted;
    
    @Column(name = "is_deleted",length = 50)
    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
        super.addValidField("isDeleted");
    }
    
  
    /** CREATOR
    *创建人
    */ 
    private java.lang.String creator;
    
    @Column(name = "CREATOR",length = 50)
    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
        super.addValidField("creator");
    }
    
  
    /** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;
    
    @Column(name = "CREATED_TIME",length = 19)
    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
        super.addValidField("createdTime");
    }
    
  
    /** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;
    
    @Column(name = "MODIFIER",length = 50)
    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
        super.addValidField("modifier");
    }
    
  
    /** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;
    
    @Column(name = "MODIFIED_TIME",length = 19)
    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
        super.addValidField("modifiedTime");
    }
    
  
    /** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;
    
    @Column(name = "SYS_VERSION",length = 10)
	@Version
    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
        super.addValidField("sysVersion");
    }
    

}