package cn.com.poc.long_document.rest;

import cn.com.poc.long_document.dto.*;
import cn.com.yict.framemax.core.rest.BaseRest;
import cn.com.yict.framemax.web.permission.Access;
import cn.com.yict.framemax.web.permission.Permission;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 长文档对话接口
 *
 * @author alex.yao
 * @date 2025/6/3
 */
@Permission(Access.Safety)
public interface LongTextDialoguesRest extends BaseRest {


    /**
     * 创建对话
     *
     * @return
     * @throws Exception
     */
    String create(@RequestBody CreateDialoguesDto dto) throws Exception;


    /**
     * 对话调用
     *
     * @param dto
     * @throws Exception
     */
    void call(@RequestBody LongTextDialoguesCallDto dto) throws Exception;


    /**
     * 删除对话
     *
     * @param dialoguesId
     * @throws Exception
     */
    void delete(@RequestParam String dialoguesId) throws Exception;

    /**
     * 对话列表
     *
     * @return
     * @throws Exception
     */
    List<LongTextDialoguesDto> dialoguesList() throws Exception;


    /**
     * 对话上下文
     *
     * @param dialoguesId
     * @return
     * @throws Exception
     */
    List<DialoguesContextDto> dialoguesContext(@RequestParam String dialoguesId) throws Exception;

    /**
     * 示例
     *
     * @return
     * @throws Exception
     */
    List<LongTextExampleDto> example() throws Exception;

}
