package cn.com.poc.support.security.oauth.constants;

public class OauthConstants {

    /**
     * 类型前缀
     */
    public class TypePrefix {

        public static final String MEMBER_DOMAIN = "/member_platform/";

        public static final String CENTRAL_AUTHENTICATION_DOMAIN = "/gsst_authentication_platform/"; //中央认证平台 - 中台member

    }

    /**
     * 用户类型
     */
    public class UserType {

        public static final String MEMBER_DOMAIN = "member_platform";

        public static final String CENTRAL_AUTHENTICATION_DOMAIN = "gsst_authentication_platform";

//        public static final String STAFF_DOMAIN = "staff";
//
//        public static final String OPEN_PLATFORM = "open_platform";
//
//        public static final String SYSTEM_USER = "system_user";
//
//        public static final String EXPOSE_USER_DOMAIN = "expose_user";
//
//        public static final String EXPOSE_STAFF_DOMAIN = "expose_staff";


    }

    public enum OauthEnum {

        MEMBER_DOMAIN(UserType.MEMBER_DOMAIN, "会员"),

        CENTRAL_AUTHENTICATION(UserType.CENTRAL_AUTHENTICATION_DOMAIN, "中央认证平台"),

//        STAFF_DOMAIN(UserType.STAFF_DOMAIN,"员工"),
//
//        OPEN_PLATFORM(UserType.OPEN_PLATFORM,"第三方开放平台"),
//
//        SYSTEM_USER(UserType.SYSTEM_USER,"系统用户"),
//
//        EXPOSE_USER_DOMAIN(UserType.EXPOSE_USER_DOMAIN,"第三方系统用户"),
//
//        EXPOSE_STAFF_DOMAIN(UserType.EXPOSE_STAFF_DOMAIN,"第三方员工");

        ;

        String userType;

        String userTypeName;

        OauthEnum(String userType, String userTypeName) {
            this.userType = userType;
            this.userTypeName = userTypeName;
        }

        public String getUserType() {
            return userType;
        }

        public void setUserType(String userType) {
            this.userType = userType;
        }

        public String getUserTypeName() {
            return userTypeName;
        }

        public void setUserTypeName(String userTypeName) {
            this.userTypeName = userTypeName;
        }
    }
}
