package cn.com.poc.thirdparty.resource.demand.ai.plugin_business.model;

import java.io.Serializable;
import cn.com.yict.framemax.data.model.BaseModelClass;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Version;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;

/**
 * Model class for biz_plugin_business
 * 
 */
@Entity
@Table(name = "biz_plugin_business")
@DynamicInsert
@DynamicUpdate
public class BizPluginBusinessModel extends BaseModelClass implements Serializable {

    private static final long serialVersionUID = 1L;
    
  
    /** form_id
    *
    */ 
    private Integer formId;
    
    @Column(name = "form_id",length = 10)
	@Id @GeneratedValue(strategy = GenerationType.AUTO) 
    public Integer getFormId(){
        return this.formId;
    }
    
    public void setFormId(Integer formId){
        this.formId = formId;
        super.addValidField("formId");
    }
    
  
    /** form_no
    *表单号
    */ 
    private String formNo;
    
    @Column(name = "form_no",length = 11)
    public String getFormNo(){
        return this.formNo;
    }
    
    public void setFormNo(String formNo){
        this.formNo = formNo;
        super.addValidField("formNo");
    }
    
  
    /** form_data
    *信息
    */ 
    private String formData;
    
    @Column(name = "form_data",length = 1073741824)
    public String getFormData(){
        return this.formData;
    }
    
    public void setFormData(String formData){
        this.formData = formData;
        super.addValidField("formData");
    }
    
  
    /** form_type
    *类型
    */ 
    private String formType;
    
    @Column(name = "form_type",length = 10)
    public String getFormType(){
        return this.formType;
    }
    
    public void setFormType(String formType){
        this.formType = formType;
        super.addValidField("formType");
    }
    
  
    /** is_deleted
    *是否删除 Y 是  N 否
    */ 
    private String isDeleted;
    
    @Column(name = "is_deleted",length = 1)
    public String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(String isDeleted){
        this.isDeleted = isDeleted;
        super.addValidField("isDeleted");
    }
    
  
    /** CREATOR
    *创建人
    */ 
    private String creator;
    
    @Column(name = "CREATOR",length = 50)
    public String getCreator(){
        return this.creator;
    }
    
    public void setCreator(String creator){
        this.creator = creator;
        super.addValidField("creator");
    }
    
  
    /** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;
    
    @Column(name = "CREATED_TIME",length = 19)
    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
        super.addValidField("createdTime");
    }
    
  
    /** MODIFIER
    *修改人
    */ 
    private String modifier;
    
    @Column(name = "MODIFIER",length = 50)
    public String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(String modifier){
        this.modifier = modifier;
        super.addValidField("modifier");
    }
    
  
    /** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;
    
    @Column(name = "MODIFIED_TIME",length = 19)
    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
        super.addValidField("modifiedTime");
    }
    
  
    /** SYS_VERSION
    *乐观锁,版本号
    */ 
    private Integer sysVersion;
    
    @Column(name = "SYS_VERSION",length = 10)
	@Version
    public Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(Integer sysVersion){
        this.sysVersion = sysVersion;
        super.addValidField("sysVersion");
    }
    

}